# class Byebug::AutolistSetting

Setting for automatically listing source code on every stop.

### Constants

DEFAULT

### Public Class Methods

new() click to toggle source

    # File lib/byebug/settings/autolist.rb, line 11
    def initialize
      ListCommand.always_run = DEFAULT
    end

### Public Instance Methods

banner() click to toggle source

    # File lib/byebug/settings/autolist.rb, line 15
    def banner
      'Invoke list command on every stop'
    end

value() click to toggle source

    # File lib/byebug/settings/autolist.rb, line 23
    def value
      ListCommand.always_run == 1
    end

value=(v) click to toggle source

    # File lib/byebug/settings/autolist.rb, line 19
    def value=(v)
      ListCommand.always_run = v ? 1 : 0
    end